Name:           perl-Log-Log4perl
Version:        1.57
Release:        1
Summary:        Log4j implementation for Perl
License:        GPL-1.0-or-later or Artistic-1.0-Perl
URL:            https://metacpan.org/release/Log-Log4perl
Source0:        https://cpan.metacpan.org/authors/id/E/ET/ETJ/Log-Log4perl-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl >= 0:5.006
BuildRequires:  perl-generators
BuildRequires:  perl(DBD::CSV) >= 0.33
BuildRequires:  perl(DBD::SQLite)
BuildRequires:  perl(DBI) >= 1.607
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(File::Path) >= 2.07
BuildRequires:  perl(File::Spec) >= 0.82
BuildRequires:  perl(Log::Dispatch)
BuildRequires:  perl(Log::Dispatch::FileRotate) >= 1.10
BuildRequires:  perl(SQL::Statement) >= 1.20
BuildRequires:  perl(Test::More) >= 0.88
BuildRequires:  perl(XML::DOM) >= 1.29
Requires:       perl(DBD::CSV) >= 0.33
Requires:       perl(DBD::SQLite)
Requires:       perl(DBI) >= 1.607
Requires:       perl(File::Path) >= 2.07
Requires:       perl(File::Spec) >= 0.82
Requires:       perl(Log::Dispatch)
Requires:       perl(Log::Dispatch::FileRotate) >= 1.10
Requires:       perl(SQL::Statement) >= 1.20
Requires:       perl(XML::DOM) >= 1.29
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Log::Log4perl lets you remote-control and fine-tune the logging
behavior of your system from the outside. It implements the widely
popular (Java-based) Log4j logging package in pure Perl.

To log into RRD database, install perl-Log-Log4perl-Appender-RRDs package.
To log into a database via DBI, install perl-Log-Log4perl-Appender-DBI package.

To read log4j XML configuration files, install
perl-Log-Log4perl-Config-DOMConfigurator package.

%package help
Summary: Log4j implementation for Perl
Provides: perl-Log-Log4perl-doc

%description help
Log::Log4perl lets you remote-control and fine-tune the logging behaviour
of your system from the outside. It implements the widely popular (Java-
based) Log4j logging package in pure Perl.


%prep
%setup -q -n Log-Log4perl-%{version}

%build
export PERL_MM_OPT=""
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
export PERL_MM_OPT=""
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

pushd %{buildroot}
touch filelist.lst
if [ -d usr/bin ];then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ];then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ];then
    find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib ];then
    find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
popd
mv %{buildroot}/filelist.lst .

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files -f filelist.lst
%defattr(-,root,root,-)
%doc Changes LICENSE META.json README
%{perl_vendorlib}/*

%files help
%{_mandir}/*

%changelog
* Fri Aug 04 2023 xu_ping <707078654@qq.com> - 1.57-1
- Upgrade version to 1.57

* Thu Jun 30 2022 misaka00251 <misaka00251@misakanet.cn> - 1.55-1
- Init package
